[med-svn] [Git][med-team/q2-quality-filter][master] Add autopkgtest

Liubov Chuprikova gitlab at salsa.debian.org
Fri Jul 12 11:15:48 BST 2019



Liubov Chuprikova pushed to branch master at Debian Med / q2-quality-filter


Commits:
0db613fe by Liubov Chuprikova at 2019-07-12T10:11:26Z
Add autopkgtest
run build-time tests for now

- - - - -


2 changed files:

- debian/tests/control
- debian/tests/run-unit-test


Changes:

=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
 Tests: run-unit-test
-Depends: @
+Depends: @, python3-nose
 Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -1,18 +1,21 @@
 #!/bin/bash
 set -e
 
-pkg=#PACKAGENAME#
+pkg=q2_quality_filter
 
 if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
   AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
-  # Double quote below to expand the temporary directory variable now versus
-  # later is on purpose.
-  # shellcheck disable=SC2064
   trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
 fi
 
-cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+cp -a /usr/lib/python3/dist-packages/${pkg}* "${AUTOPKGTEST_TMP}"
 
 cd "${AUTOPKGTEST_TMP}"
 
-#do_stuff_to_test_package#
+if [ ! -e /usr/bin/nosetests3 ] ; then
+	echo "Please install package python3-nose to run this script"
+	exit 1
+fi
+
+# Run build-time tests
+nosetests3



View it on GitLab: https://salsa.debian.org/med-team/q2-quality-filter/commit/0db613fe2d36bfcc7a56d34b81826fefa10be584

-- 
View it on GitLab: https://salsa.debian.org/med-team/q2-quality-filter/commit/0db613fe2d36bfcc7a56d34b81826fefa10be584
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20190712/a4dac75a/attachment-0001.html>


More information about the debian-med-commit mailing list